USE [Database]

IF OBJECT_ID('[Functions].[does_product_type_exist_with_name]') IS NOT NULL
  DROP FUNCTION [Functions].[does_product_type_exist_with_name];
GO
CREATE FUNCTION [Functions].[does_product_type_exist_with_name](
  @name AS NVARCHAR(128)
)
RETURNS BIT
AS
BEGIN
  IF EXISTS (
    SELECT *
    FROM [Tables].[product_types]
    WHERE [name] = @name
  )
    RETURN CAST(1 AS BIT);
  RETURN CAST(0 AS BIT);
END